<?xml version="1.0"?>
<!DOCTYPE mbeans-descriptors PUBLIC
 "-//Apache Software Foundation//DTD Model MBeans Configuration File"
 "http://jakarta.apache.org/commons/dtds/mbeans-descriptors.dtd">

<!--
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 - JOnAS: Java(TM) Open Application Server
 - Copyright (C) 2007-2008 Bull S.A.S.
 - Contact: jonas-team@ow2.org
 -
 - This library is free software; you can redistribute it and/or
 - modify it under the terms of the GNU Lesser General Public
 - License as published by the Free Software Foundation; either
 - version 2.1 of the License, or any later version.
 -
 - This library is distributed in the hope that it will be useful,
 - but WITHOUT ANY WARRANTY; without even the implied warranty of
 - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 - Lesser General Public License for more details.
 -
 - You should have received a copy of the GNU Lesser General Public
 - License along with this library; if not, write to the Free Software
 - Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 - USA
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 - $Id$
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 -->

<mbeans-descriptors>
  <mbean name="DepMonitorMBean"
         description="Deployable Monitor service"
         className="org.ow2.jonas.deployablemonitor.mbean.DeployableMonitorServiceMBean"
         domain="JOnAS"
         group="JonasManaged"
         type="org.ow2.jonas.deployablemonitor.DeployableMonitorService">

    <attribute name="objectName"
               description="Name of the object"
               type="java.lang.String"
               writeable="false"/>

    <attribute name="development"
               description="If true, (default) the depmonitor service automatically detects modules to deploy/undeploy.
               Set to false if you want to disable development mode."
               is="true"
               type="boolean"
               writeable="true"/>
               
    <attribute name="monitorPeriod"
               description="Monitor interval between each directory scan"
               type="int"
               writeable="true"/>

	<attribute name="directoryNames"
		description="List of directory names the service observes" type="[Ljava.lang.String;"
		writeable="false" />
		
    <operation name="isDepmonitorDir"
        description="is the given dir a deployment repository ?"
        impact="ACTION"
        returnType="boolean" >
        <parameter name="dir" description="directory names"
            type="java.lang.String" />
    </operation>
    
	<operation name="addDirectory" description="add a new deployment directory"
		impact="ACTION">
        <parameter name="directory"
                description="directory to add" type="java.lang.String" />
	</operation>
	
	<operation name="removeDirectory" description="remove a deployment directory"
		impact="ACTION">
        <parameter name="directory"
                description="directory to remove" type="java.lang.String" />
	</operation>
	
	<operation name="saveConfig" description="save configuration"
		impact="ACTION">
	</operation>
  </mbean>
</mbeans-descriptors>
